> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Servers

> Retrieve a list of your servers.



## OpenAPI

````yaml get /servers
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /servers:
    get:
      summary: Get servers
      description: Retrieve a list of your servers.
      operationId: getServers
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/server'
                title: GetServersOk
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
      security:
        - Authorization: []
components:
  schemas:
    server:
      type: object
      required: []
      properties:
        id:
          type: string
          examples:
            - '1'
        hostname:
          type: string
          nullable: true
          examples:
            - my-server
        node:
          type: string
          examples:
            - 001-ams
        rdns:
          type: string
          examples:
            - 1.3.3.7.powered.by.rdp.sh.
        distro:
          type: string
          examples:
            - Windows Server 2025
            - Debian 12
            - Debian 11
            - Ubuntu 24.04 LTS
        status:
          type: string
          examples:
            - stopped
        plan_id:
          type: integer
          examples:
            - 1
        created_at:
          type: string
          examples:
            - '2023-12-23T01:06:46.000Z'
        ip_address:
          type: string
          examples:
            - 1.3.3.7
        expiry_date:
          type: string
          examples:
            - '2024-11-20T05:20:00.000Z'
      description: ''
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````